<div class="container">
    <div class="search input-group">
            <input type="text" class="form-control"  placeholder="Search for...">
            <span class="input-group-btn">
              <button class="btn btn-default" type="button">Go!</button>
            </span>
    </div>
    <div class="sidebar">
        <div class="main-filter">
            <h2>Filters</h2>
            <div class="filters" > 
                <div *ngFor="let item of filters"> 
                    <hr>
                    <h3>{{item.name}}</h3>
                    <ul *ngFor="let child of item.children">
                        <li>
                            <div class="min-checkbox">
                                <label>
                                    <input type="checkbox" value="" (click)="getFromFilter(child.id)">
                                    <span class="cr"><i class="cr-icon glyphicon glyphicon-ok"></i></span>
                                   {{child.name}}
                                </label>
                            </div>
                        </li>
                    </ul> 
                </div>
            </div>
        </div>
    </div>
    <div class="main">
        <div id="products" class="row list-group">
            <div *ngFor="let item of products">
                <div [@fadeInOut]  class="item col-xs-6 col-sm-6 col-lg-4 col-md-6">
                    <div class="thumbnail">
                        <img class="group list-group-image" src="{{item.lImagePath}}" alt="" />
                        <div class="caption">
                            <h3 class="group inner list-group-item-heading">
                            <b>{{item.lSeries}}
                                </b></h3>
                            <p class="group inner list-group-item-text description">
                            <b>Power : {{item.lPower}} кВт<br>
                                Phases : {{item.lPhases}}</b>
                            </p>
                            <div class="row">
                                <div class="col-xs-12 col-md-12 col-lg-12 col-sm-12">
                                    <p class="lead">
                                    <b> {{item.lMoney}} $ </b></p>
                                </div>
                                <div >
                                    <div class="cart-btn">
                                        <a class="info-product clickLink " (click)="modal1.show(item.id)"><img src="https://res.cloudinary.com/ng-shop/image/upload/v1553853623/ng-Shop/info-min.png"></a>
                                        <product-modal #modal1></product-modal>
                                        <a class="btn btn-default post-data" (click)="postData(item.id)">Add to cart</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div *ngIf="cnt > 9" [@refreshFade]  class="item col-xs-6 col-sm-6 col-lg-4 col-md-6" (click)="getFromFilterPaged(cntpage)">
                <div class="thumbnail add-products">
                    <img class="group list-group-image" src="https://res.cloudinary.com/ng-shop/image/upload/v1553805871/ng-Shop/24714.png" alt="" />
                </div>
            </div>
        </div>
    </div>
</div>